# -*- coding: utf-8 -*-
# Copyright (C) 2009 Andreas Böttger 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#
# inspired by: 
# gPodder - A media aggregator and podcast client
# Copyright (c) 2005-2009 Thomas Perl and the gPodder Team
#


import gtk

import gudev

_ = gudev.gettext

from gudev.gtkui.interface.common import BuilderWidget

class gUdevWelcome(BuilderWidget):

    def new(self):
        for widget in (self.btnOPML, self.btnMygUdev):
            for child in widget.get_children():
                if isinstance(child, gtk.Alignment):
                    child.set_padding(20, 20, 20, 20)
                else:
                    child.set_padding(20, 20)
        self.gUdevWelcome.show()

    def on_show_example_podcasts(self, button):
        self.gUdevWelcome.destroy()
        self.show_example_podcasts_callback(None)

    def on_setup_my_gudev(self, gudev):
        self.gUdevWelcome.destroy()
        self.setup_my_gudev_callback(None)

    def on_btnCancel_clicked(self, button):
        self.gUdevWelcome.destroy()

